Skip to main content

Create Applicant: Yardi REST

Beta
POSThttps://api.propexo.com/v1/applicants/yardi_rest/

Create Applicant: Yardi REST. When creating an applicant along with an event, Propexo will create a base event of type "Other" as an initial applicant event. If the event is one of the valid "first contact" events in Yardi (such as Other,WalkIn,Chat,Email,Text,Webservice), then Propexo will create the applicant with the associated "first contact" event type.

InterfaceMethod
ILS Guest Card/ItfProspect/ImportYardiGuest
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstringrequired

    The Propexo unique identifier for the unit

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    employee_idstringrequired

    The Propexo unique identifier for the employee

    third_party_idstringrequired

    A unique value provided to the PMS to uniquely identify the applicant from your system.

    Possible values: non-empty

    organization_namestringrequired

    The name of your organization. Yardi uses this for associating a applicant

    first_namestringrequired

    The first name associated with the applicant

    last_namestringrequired

    The last name associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string

    The primary email address associated with the applicant

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    target_move_in_datestring

    The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsnumber

    The desired number of bedrooms

    desired_lease_term_in_monthsstring

    The amount of months for the lease term

    notesstring

    Notes associated with the applicant

    events object[]

    A list of events to create for the new applicant

  • Array [
  • employee_idstringrequired

    The Propexo unique identifier for the employee

    lead_source_idstring

    The Propexo unique identifier for the lead source

    unit_idstring

    The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".

    event_namestringrequired

    The name or type of event. This has to be from a predefined set of events.

    Show 13 enum values
    CallToProspectCallFromProspectOtherWalkInChatEmailTextWebserviceAppointmentShowApplicationSelfGuidedTourApplication
    event_datetimestring<date-time>required

    The date when the event will occur

    notesstring

    Notes associated with the event

    Possible values: <= 256 characters

    reasons_for_eventstring

    The reasons for the event

  • ]

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    unit_idstringrequired

    The Propexo unique identifier for the unit

    lead_source_idstringrequired

    The Propexo unique identifier for the lead source

    employee_idstringrequired

    The Propexo unique identifier for the employee

    third_party_idstringrequired

    A unique value provided to the PMS to uniquely identify the applicant from your system.

    Possible values: non-empty

    organization_namestringrequired

    The name of your organization. Yardi uses this for associating a applicant

    first_namestringrequired

    The first name associated with the applicant

    last_namestringrequired

    The last name associated with the applicant

    phone_1string | nullnullablerequired

    Primary phone number associated with the applicant

    phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Show 4 enum values
    FAXHOMEMOBILEWORK
    phone_2string | nullnullablerequired

    Secondary phone number associated with the applicant

    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    email_1string | nullnullablerequired

    The primary email address associated with the applicant

    address_1string | nullnullablerequired

    The first address line associated with the applicant

    address_2string | nullnullablerequired

    The second address line associated with the applicant

    citystring | nullnullablerequired

    The city associated with the applicant

    statestring | nullnullablerequired

    The state associated with the applicant

    zipstring | nullnullablerequired

    The zip code associated with the applicant

    target_move_in_datestring | nullnullablerequired

    The move-in date associated with the lead. The timestamp will be stripped off and only the date will be used

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsnumber | nullnullablerequired

    The desired number of bedrooms

    desired_lease_term_in_monthsstring | nullnullablerequired

    The amount of months for the lease term

    notesstring | nullnullablerequired

    Notes associated with the applicant

    events object[]required
  • Array [
  • employee_idstringrequired

    The Propexo unique identifier for the employee

    lead_source_idstring

    The Propexo unique identifier for the lead source

    unit_idstring

    The Propexo unique identifier for the unit. Only some events use this, including "Show" and "Appointment".

    event_namestringrequired

    The name or type of event. This has to be from a predefined set of events.

    Show 13 enum values
    CallToProspectCallFromProspectOtherWalkInChatEmailTextWebserviceAppointmentShowApplicationSelfGuidedTourApplication
    event_datetimestring<date-time>required

    The date when the event will occur

    notesstring

    Notes associated with the event

    Possible values: <= 256 characters

    reasons_for_eventstring

    The reasons for the event

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/applicants/yardi_rest/
curl -X POST https://api.propexo.com/v1/applicants/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"third_party_id": "string",
"organization_name": "string",
"first_name": "string",
"last_name": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"unit_id": "string",
"lead_source_id": "string",
"employee_id": "string",
"third_party_id": "string",
"organization_name": "string",
"first_name": "string",
"last_name": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_lease_term_in_months": "string",
"notes": "string",
"events": "Unknown Type: array,null"
}
}